'/*SDOC*************************************************************
'
'  Module:	DlgId.bas
'
'  Copyright 2005 TriTools Partners L.L.C.
'  
'  Current Version: 5.0.1
'  
'  Revision Date: 02/01/05
'  
'  Description: Visual CADD specific type definations and constants
'
'  Revision Record:
'
'	Version			Changes & Additions
'	========		=====================================================
'	3.0.0				Search: "version 3.0.0"
'	4.0.0				Search: "version 4.0.0"
'	5.0.0				Search: "version 5.0.0"
'
'*************************************************************EDOC*/

Attribute VB_Name = "DlgID"
Option Explicit

' Visual CADD Public Dialog Constants

Public Const ID_Tab = 101

Public Const ID_Common = 1074
Public Const ID_SwapText = 1077

Public Const ID_OK = 1075
Public Const ID_CANCEL = 1076
Public Const ID_MYHELP = 1078
Public Const ID_Help = 1079
Public Const ID_LIKE = 1080
Public Const ID_APPLY = 1081
Public Const ID_DlgTitle = 1082
Public Const ID_Print = 1083

' Layer Group Base for flyout menu
Public Const ID_LayerGroupBase = 1024

' Combo & List box IDs
Public Const CB_Base = 1124
Public Const ID_CB1 = 1125
Public Const ID_CB2 = 1126
Public Const ID_CBSymbolName = 1127
Public Const ID_CBHatchName = 1129
Public Const ID_CBName = 1130
Public Const ID_CBFont = 1131
Public Const ID_CBLayer = 1132
Public Const ID_CBColor = 1133
Public Const ID_CBWidth = 1134
Public Const ID_LBWidth = 1135
Public Const ID_CBEList = 1136
Public Const ID_LBLayer = 1137
Public Const ID_LBColor = 1138
Public Const ID_CBLtype = 1139
Public Const ID_LBLtype = 1140
Public Const ID_LB1 = 1141
Public Const ID_LB2 = 1142
Public Const ID_CBColor1 = 1144
Public Const ID_CBColor2 = 1145
Public Const ID_CBColor3 = 1146
Public Const ID_CBColor4 = 1147
Public Const ID_CBColor5 = 1148
Public Const ID_CBColor6 = 1149
Public Const ID_CBColorChange = 1150
Public Const ID_LBColorChange = 1151
Public Const ID_CBColorFilter = 1152
Public Const ID_LBColorFilter = 1153
Public Const ID_CB3 = 1154
Public Const ID_CB4 = 1155
Public Const ID_LB3 = 1156
Public Const ID_LB4 = 1157
Public Const ID_CBFont1 = 1158
Public Const ID_CBFont2 = 1159
Public Const ID_LBFont = 1160
Public Const ID_LBFont1 = 1161
Public Const ID_LBFont2 = 1162
Public Const ID_LBFont3 = 1163
Public Const ID_CB5 = 1164
Public Const ID_CB6 = 1165
Public Const ID_CB7 = 1166
Public Const ID_CB8 = 1167
Public Const ID_CB9 = 1168
Public Const ID_CB10 = 1169
Public Const ID_LB5 = 1170
Public Const ID_LB6 = 1171
Public Const ID_LB7 = 1172
Public Const IDC_COMBO1 = 1173 'Added version 4.0.0

' Edit control IDs
Public Const ED_Base = 1224
Public Const ID_EDAngle = 1225
Public Const ID_EDScaleX = 1226
Public Const ID_EDScaleY = 1227
Public Const ID_EDRight = 1228
Public Const ID_EDIncSnap = 1229
Public Const ID_EDOrthoAngle = 1230
Public Const ID_EDLeft = 1231
Public Const ID_EDFilletRad = 1232
Public Const ID_ED1 = 1233
Public Const ID_ED2 = 1234
Public Const ID_ED3 = 1235
Public Const ID_ED4 = 1236
Public Const ID_ED5 = 1237
Public Const ID_ED6 = 1238
Public Const ID_ED7 = 1239
Public Const ID_ED8 = 1240
Public Const ID_ED9 = 1241
Public Const ID_ED10 = 1242
Public Const ID_ED11 = 1243
Public Const ID_ED12 = 1244
Public Const ID_ED13 = 1245
Public Const ID_ED14 = 1246
Public Const ID_ED15 = 1247
Public Const ID_ED16 = 1248
Public Const ID_ED17 = 1249
Public Const ID_ED18 = 1250
Public Const ID_ED19 = 1251
Public Const ID_EDRFName = 1252

' Button Control IDs
Public Const BT_Base = 1324
Public Const ID_BTMatch = 1325
Public Const ID_BTFlip90 = 1326
Public Const ID_BTSymPlace = 1327
Public Const ID_BTHatchPreview = 1328
Public Const ID_BTPreview = 1329
Public Const ID_BTFlipX = 1330
Public Const ID_BTFlipY = 1331
Public Const ID_BT1 = 1333
Public Const ID_BT2 = 1334
Public Const ID_BT3 = 1335
Public Const ID_BT4 = 1336
Public Const ID_BT5 = 1337
Public Const ID_BT6 = 1338
Public Const ID_BT7 = 1339
Public Const ID_StyleLoad = 1340
Public Const ID_StyleSave = 1341
Public Const ID_BT8 = 1342
Public Const ID_BT9 = 1343
Public Const ID_BT10 = 1344
Public Const ID_BT11 = 1345
Public Const ID_BT12 = 1346
Public Const ID_BT13 = 1347
Public Const ID_BT14 = 1348
Public Const ID_BT15 = 1349
Public Const ID_BT16 = 1350
Public Const ID_BT17 = 1351
Public Const ID_BTSmMatch = 1352
Public Const ID_BTSmHelp = 1353

Public Const ID_HELP_VC = 1353 'Added version 4.0.0
Public Const ID_BTApply = 1354 'Added version 3.0.0
Public Const ID_BTMinus = 1355 'Added version 3.0.0
Public Const ID_BTDelete = 1356 'Added version 3.0.0
Public Const ID_BTMoveTo = 1357 'Added version 3.0.0
Public Const ID_BTCopyTo = 1358 'Added version 3.0.0
Public Const ID_BTGroups = 1359 'Added version 3.0.0
Public Const ID_BTSymMat = 1360 'Added version 3.0.0

'Layer Manager
Public Const ID_LMVisible = 1361 'Added version 3.0.0
Public Const ID_LMPrint = 1362 'Added version 3.0.0
Public Const ID_LMLock = 1363 'Added version 3.0.0
Public Const ID_LMCurrent = 1364 'Added version 3.0.0
Public Const ID_LMProperties = 1365 'Added version 3.0.0
Public Const ID_LMSort = 1366 'Added version 3.0.0
Public Const ID_LMSelectAll = 1367 'Added version 3.0.0
Public Const ID_LMFlyout = 1368 'Added version 3.0.0
Public Const ID_LMShortList = 1369 'Added version 3.0.0
Public Const ID_LMMoveTo = 1370 'Added version 3.0.0
Public Const ID_LMCopyTo = 1371 'Added version 3.0.0
Public Const ID_LMDisplayGroups = 1372 'Added version 3.0.0

' Layer Groups
Public Const ID_LGAdd = 1381 'Added version 3.0.0
Public Const ID_LGModify = 1382 'Added version 3.0.0
Public Const ID_LGDelete = 1383 'Added version 3.0.0

Public Const ID_LGBSDivider = 1385 'Added version 3.0.0
Public Const ID_LGComboBox = 1386 'Added version 3.0.0
Public Const ID_LGEditBox = 1387 'Added version 3.0.0
Public Const ID_LGListBox = 1388 'Added version 3.0.0

' Checkbox Control IDs
Public Const CHK_Base = 1424
Public Const ID_CHKAutoFillet = 1425
Public Const ID_CHKSolid = 1426
Public Const ID_CHKIncSnap = 1427
Public Const ID_CHKCursorFree = 1428
Public Const ID_CHKOrthoMode = 1429
Public Const ID_CHKOrthoMirrorLR = 1430 'Added version 4.0.0
Public Const ID_CHKOrthoMirrorUD = 1431 'Added version 3.0.0
Public Const ID_CHK1 = 1430
Public Const ID_CHK2 = 1431
Public Const ID_CHK3 = 1432
Public Const ID_CHK4 = 1433
Public Const ID_CHK5 = 1434
Public Const ID_CHK6 = 1435
Public Const ID_CHK7 = 1436
Public Const ID_CHK8 = 1437
Public Const ID_CHK9 = 1438
Public Const ID_CHK10 = 1439
Public Const ID_CHK11 = 1440
Public Const ID_CHK12 = 1441
Public Const ID_CHK13 = 1442
Public Const ID_CHK14 = 1443
Public Const ID_CHK15 = 1445
Public Const ID_CHK16 = 1446
Public Const ID_CHK17 = 1447
Public Const ID_CHK18 = 1448
Public Const ID_CHK19 = 1449
Public Const ID_CHK20 = 1450

' explorer powermgr
Public Const ID_FOLDER32 = 1475 'Added version 3.0.0
Public Const ID_FOLDER16 = 1476 'Added version 3.0.0
Public Const ID_FOLDER16OPEN = 1477 'Added version 3.0.0
Public Const ID_FOLDER16BACK = 1478 'Added version 3.0.0
Public Const ID_FOLDER32BACK = 1479 'Added version 3.0.0
Public Const ID_SYMBOLMGRMENU = 1480 'Added version 3.0.0
Public Const ID_FDDRIVE = 1481 'Added version 3.0.0
Public Const ID_HDDRIVE = 1482 'Added version 3.0.0
Public Const ID_CDDRIVE = 1483 'Added version 3.0.0
Public Const ID_NETDRIVE = 1484 'Added version 3.0.0
Public Const ID_DOCMGRMENU = 1485 'Added version 3.0.0

' Radio button IDs
Public Const RAD_Base = 1524
Public Const ID_RAD1 = 1525
Public Const ID_RAD2 = 1526
Public Const ID_RAD3 = 1527
Public Const ID_RAD4 = 1528
Public Const ID_RAD5 = 1529
Public Const ID_RAD6 = 1530
Public Const ID_RAD7 = 1531
Public Const ID_RAD8 = 1532
Public Const ID_RAD9 = 1533
Public Const ID_RAD10 = 1534
Public Const ID_RAD11 = 1535
Public Const ID_RAD12 = 1536
Public Const ID_RAD13 = 1537
Public Const ID_RAD14 = 1538
Public Const ID_RAD15 = 1539

' Text IDS
Public Const TEXT_Base = 1624
Public Const ID_TEXT1 = 1625
Public Const IDC_EDIT1 = 101 'Added version 3.0.0
Public Const ID_TEXT2 = 1626
Public Const ID_TEXT3 = 1627
Public Const ID_TEXT4 = 1628
Public Const ID_TEXT5 = 1629
Public Const ID_TEXT6 = 1630
Public Const ID_TEXT7 = 1631
Public Const ID_TEXT8 = 1632
Public Const ID_TEXT9 = 1633
Public Const ID_TEXT10 = 1634
Public Const ID_TEXT11 = 1635
Public Const ID_TEXT12 = 1636
Public Const ID_TEXT13 = 1637
Public Const ID_TEXT14 = 1638
Public Const ID_TEXT15 = 1639
Public Const ID_TEXT16 = 1640
Public Const ID_TEXT17 = 1641
Public Const ID_TEXT18 = 1642
Public Const ID_TEXT19 = 1643
Public Const ID_TEXT20 = 1644
Public Const ID_TEXT21 = 1645
Public Const IDC_LTEXT1 = 1646

' Powermgr
Public Const ID_ExplorerBigIcon = 1650 'Added version 3.0.0
Public Const ID_ExplorerSmallIcon = 1651 'Added version 3.0.0
Public Const ID_ExplorerList = 1652 'Added version 3.0.0
Public Const ID_ExplorerReport = 1653 'Added version 3.0.0
Public Const ID_ExplorerFileDelete = 1654 'Added version 3.0.0
Public Const ID_ExplorerShowSettings = 1655 'Added version 3.0.0
Public Const ID_ExplorerShowFolders = 1656 'Added version 3.0.0
Public Const ID_ExplorerSymbolsOnDisk = 1657 'Added version 3.0.0
Public Const ID_ExplorerPowerGroup = 1658 'Added version 3.0.0
Public Const ID_ExplorerFolderBack = 1659 'Added version 3.0.0
Public Const ID_BTAE = 1660 'Added version 4.0.0
Public Const ID_BTUC = 1661 'Added version 4.0.0
Public Const ID_BTPP = 1662 'Added version 4.0.0

' Bitmap IDs
Public Const BMP_Base = 1724
Public Const ID_BMPDRAW = 1725
Public Const ID_BMPZOOM = 1726
Public Const ID_BMPSNAP = 1727
Public Const ID_BMPEDIT = 1728
Public Const ID_BMPMODIFY = 1729
Public Const ID_BMP1 = 1730
Public Const ID_BMP3 = 1731

Public Const ID_Base = 1774
Public Const ID_1 = 1775
Public Const ID_2 = 1776
Public Const ID_3 = 1777
Public Const ID_4 = 1778
Public Const ID_5 = 1779
Public Const ID_6 = 1780
Public Const ID_7 = 1781
Public Const ID_8 = 1782
Public Const ID_Tab0 = 1783
Public Const ID_Tab1 = 1784
Public Const ID_Tab2 = 1785
Public Const ID_Tab3 = 1786
Public Const ID_Tab4 = 1787
Public Const ID_Tab5 = 1788
Public Const ID_Tab6 = 1789
Public Const ID_ST1 = 1791
Public Const ID_ST2 = 1792
Public Const ID_ST3 = 1793
Public Const ID_ST4 = 1794
Public Const ID_PositionChild = 1795
Public Const ID_Preview = 1796
Public Const ID_9 = 1797
Public Const ID_10 = 1798 'Added version 3.0.0
Public Const ID_11 = 1799 'Added version 3.0.0
Public Const ID_12 = 1801 'Added version 3.0.0
Public Const ID_13 = 1802 'Added version 3.0.0
Public Const ID_14 = 1803 'Added version 3.0.0
Public Const ID_15 = 1804 'Added version 3.0.0
Public Const ID_16 = 1805 'Added version 3.0.0
Public Const ID_17 = 1806 'Added version 3.0.0
Public Const ID_18 = 1807 'Added version 3.0.0
Public Const ID_19 = 1808 'Added version 3.0.0
Public Const ID_20 = 1809 'Added version 3.0.0
Public Const ID_21 = 1810 'Added version 3.0.0
Public Const ID_22 = 1811 'Added version 3.0.0
Public Const ID_23 = 1812 'Added version 3.0.0
Public Const ID_24 = 1813 'Added version 3.0.0
Public Const ID_25 = 1814 'Added version 3.0.0
Public Const ID_26 = 1815 'Added version 3.0.0
Public Const ID_27 = 1816 'Added version 3.0.0
Public Const ID_28 = 1817 'Added version 3.0.0
Public Const ID_29 = 1818 'Added version 3.0.0
Public Const ID_30 = 1819 'Added version 3.0.0

Public Const ID_G1 = 1814
Public Const ID_G2 = 1815
Public Const ID_G3 = 1816
Public Const ID_G4 = 1817
Public Const ID_G5 = 1818
Public Const ID_G6 = 1819
Public Const ID_G7 = 1820
Public Const ID_G8 = 1821
Public Const ID_G9 = 1822
Public Const ID_G10 = 1823

' Status Line
Public Const ID_StatusBase = 1824
Public Const ID_STANGLE = 1825
Public Const ID_STDIST = 1826
Public Const ID_STXY = 1827
Public Const ID_STMESSAGE = 1828

' Notify codes
Public Const ID_NotifyCodes = 1874
Public Const DLG_CHANGEFOCUS = 1875
Public Const DLG_LBCHANGE = 1876
Public Const DLG_EDCHANGE = 1877
Public Const ID_RETURN = 1878

' DBase Dlg
Public Const DLG_DBASE = 1024

Public Const ID_EKind = 1026 'Redefined version 4.0.0 added ID_
Public Const ID_ESelect = 1027 'Redefined version 4.0.0 added ID_
Public Const ID_EErase = 1028 'Redefined version 4.0.0 added ID_
Public Const ID_EPurge = 1029 'Redefined version 4.0.0 added ID_
Public Const ID_EUndo = 1030 'Redefined version 4.0.0 added ID_
Public Const ID_EHandle = 1032 'Redefined version 4.0.0 added ID_
Public Const ID_EPList = 1033 'Redefined version 4.0.0 added ID_
Public Const ID_EReset = 1035 'Redefined version 4.0.0 added ID_
Public Const ID_EOrder = 1036 'Redefined version 4.0.0 added ID_
Public Const ID_ECount = 1037 'Redefined version 4.0.0 added ID_
Public Const ID_EClose = 1038 'Redefined version 4.0.0 added ID_
Public Const ID_EColor = 1039 'Redefined version 4.0.0 added ID_
Public Const ID_ELtype = 1040 'Redefined version 4.0.0 added ID_
Public Const ID_EWidth = 1041 'Redefined version 4.0.0 added ID_
Public Const ID_ELayer = 1042 'Redefined version 4.0.0 added ID_
Public Const ID_EPointCnt = 1043 'Redefined version 4.0.0 added ID_
Public Const ID_EList = 1045 'Redefined version 4.0.0 added ID_
Public Const ID_ERedo = 1031 'Redefined version 4.0.0 added ID_
Public Const ID_EErasedonly = 1048 'Redefined version 4.0.0 added ID_
Public Const ID_EValidonly = 1049 'Redefined version 4.0.0 added ID_
Public Const ID_ESelectonly = 1050 'Redefined version 4.0.0 added ID_
Public Const ID_EUndoLev = 1051 'Redefined version 4.0.0 added ID_

' Layer groups
Public Const ID_LBSourceSelectAll = 1001 'Added version 3.0.0
Public Const ID_LBSourceInvertSelection = 1002 'Added version 3.0.0
Public Const ID_LBSourceClear = 1003 'Added version 3.0.0
Public Const ID_LBAddToTarget = 1004 'Added version 3.0.0
Public Const ID_LBTargetSelectAll = 1011 'Added version 3.0.0
Public Const ID_LBTargetInvertSelection = 1012 'Added version 3.0.0
Public Const ID_LBTargetClear = 1013 'Added version 3.0.0
Public Const ID_LBRemoveFromTarget = 1014 'Added version 3.0.0

' DWG color import
Public Const ID_LBColor1 = 1015 'Added version 4.0.0

' Plotter
Public Const ID_BROWSE = 1016 'Added version 3.0.0
Public Const ID_ED20 = 1017 'Added version 4.0.0
Public Const ID_ED21 = 1018 'Added version 4.0.0
Public Const ID_ED22 = 1019 'Added version 4.0.0
Public Const ID_ED23 = 1020 'Added version 4.0.0
Public Const ID_ED24 = 1021 'Added version 4.0.0


' Spellchecker
'Added version 5.0.0
Public Const IDR_SPELLING_CONTEXT_MENU = 101
Public Const ID_LEX_CONTENTS_CB = 1001
Public Const ID_IGNORE_BTN = 1001
Public Const ID_LEX_FILES_CB = 1002
Public Const ID_IGNORE_ALL_BTN = 1002
Public Const ID_LEX_ADD_FILE_BTN = 1003
Public Const ID_CHANGE_BTN = 1003
Public Const ID_LEX_DEL_FILE_BTN = 1004
Public Const ID_CHANGE_ALL_BTN = 1004
Public Const ID_ADD_TO_LEX_BTN = 1005
Public Const ID_SUGGEST_BTN = 1006
Public Const ID_UNDO_BTN = 1007
Public Const ID_SUGGEST_LIST = 1009
Public Const ID_PROBLEM_LBL = 1011
Public Const ID_PROBLEM_WORD_EDT = 1012
Public Const ID_IGN_LEX_CB = 1013
Public Const ID_LEX_ADD_WORD_BTN = 1014
Public Const ID_EDIT_LEX_BTN = 1014
Public Const ID_LEX_DEL_WORD_BTN = 1015
Public Const ID_LEX_NEW_FILE_BTN = 1016
Public Const IDC_IGNORE_CAPS_CHK = 1021
Public Const IDC_REPORT_DOUBLED_WORDS_CHK = 1022
Public Const ID_LANGUAGE_CB = 1023
Public Const ID_IMPORT_BTN = 1024
Public Const ID_EXPORT_BTN = 1025
Public Const IDC_IGNORE_MIXED_DIGITS_CHK = 1025
Public Const ID_FILE_NAME_EDIT = 1027
Public Const ID_BROWSE_BTN = 1028
Public Const IDC_IGNORE_ALL_CAPS_CHK = 1028
Public Const ID_LANG_TEXT = 1029
Public Const ID_OPTIONS_BTN = 1031
Public Const ID_SUGGESTIONS_LBL = 1033
Public Const ID_ADD_WORDS_LBL = 1034
Public Const ID_WORDS_LBL = 1035
Public Const ID_FILES_LBL = 1036
Public Const ID_LANGUAGE_LBL = 1037
Public Const ID_FILE_NAME_LBL = 1039
Public Const IDC_CASE_SENSITIVE_CHK = 1041
Public Const IDC_PHONETIC_SUGG_CHK = 1042
Public Const IDC_SUGGEST_SPLIT_WORDS_CHK = 1043
Public Const IDC_IGNORE_MIXED_CASE_CHK = 1044
Public Const IDC_TYPO_SUGG_CHK = 1045
Public Const IDC_IGNORE_DOMAIN_NAMES_CHK = 1046
Public Const IDC_CONTEXT_EDT = 1050
Public Const IDC_AUTO_CORRECT_CHK = 1050
Public Const IDC_SUGG_DEPTH_LOW_RB = 1051
Public Const IDC_SUGG_DEPTH_MED_RB = 1052
Public Const IDC_SUGG_DEPTH_HI_RB = 1053
Public Const ID_HELP_BTN = 1055
Public Const ID_LEX_OTHER_WORD_EDT = 1057
Public Const ID_LEX_ACTION_CB = 1058
Public Const IDC_DICT_LANG_CBO = 1059
Public Const IDM_SPELLING_CONTEXT_SUGGESTION_1 = 40013
Public Const IDM_SPELLING_CONTEXT_SUGGESTION_2 = 40014
Public Const IDM_SPELLING_CONTEXT_SUGGESTION_3 = 40015
Public Const IDM_SPELLING_CONTEXT_SUGGESTION_4 = 40016
Public Const IDM_SPELLING_CONTEXT_SUGGESTION_5 = 40017
Public Const IDM_SPELLING_CONTEXT_SUGGESTION_6 = 40018
Public Const IDM_SPELLING_CONTEXT_SUGGESTION_7 = 40019
Public Const IDM_SPELLING_CONTEXT_SUGGESTION_8 = 40020
Public Const IDM_SPELLING_CONTEXT_SUGGESTION_9 = 40021
Public Const IDM_SPELLING_CONTEXT_SUGGESTION_10 = 40022
Public Const IDM_SPELLING_CONTEXT_SUGGESTION_11 = 40023
Public Const IDM_SPELLING_CONTEXT_SUGGESTION_12 = 40024
Public Const IDM_SPELLING_CONTEXT_SUGGESTION_13 = 40025
Public Const IDM_SPELLING_CONTEXT_SUGGESTION_14 = 40026
Public Const IDM_SPELLING_CONTEXT_SUGGESTION_15 = 40027
Public Const IDM_SPELLING_CONTEXT_SUGGESTION_16 = 40028
Public Const IDM_SPELLING_CONTEXT_IGNORE = 40029
Public Const IDM_SPELLING_CONTEXT_IGNORE_ALL = 40030
Public Const IDM_SPELLING_CONTEXT_ADD = 40031
Public Const IDM_SPELLING_CONTEXT_SPELLING = 40032
