Attribute VB_Name = "VCType32"
'/*SDOC*************************************************************
'
'  Module:      VCTypes.bas
'
'  Copyright 2005 TriTools Partners L.L.C.
'
'  Current Version: 5.0.1
'
'  Revision Date: 02/01/05
'
'  Description: Visual CADD specific type definations and constants
'
'  Revision Record:
'
'       Version                 Changes & Additions
'       ========                =====================================================
'       2.0.0                           Changed struct EAttr to include float fWidth
'
'       2.0.2                           Changed iPoint2D x&y to 4 byte integers
'
'       3.0.0                           Added new AlertApp codes
'       3.0.0                           Added new AlertAppEx function and AlertAppEx codes
'       3.0.0                           Added new file type constants
'       3.0.0                           Added new unit constants
'
'       3.0.1                           Added new AlertAppEx codes
'
'       4.0.0                           Added packed lparam values to Tool start, complete and abort alerts
'       4.0.0                           Added Visual CADD tool types for use in alerts
'       4.0.0                           Added new AlertAppEx codes
'       4.0.0                           Added new Dimension constant
'       4.0.0                           Added status codes on completion of HatchGen
'       4.0.0                           Added Ortho Advanced type flags
'       4.0.0                           Added Running snap type flags
'       4.0.0                           Added Running snap types bitwise operators
'       4.0.0                           Added Font list sorting order flags
'
'       5.0.0                           Added new AlertAppEx codes
'       5.0.0                           Added FileOpen/FileSave AlertAppEx constants
'       5.0.0                           Added new file type constants
'       5.0.0                           Added new font type constants
'       5.0.0                           Added hatch alignment flags
'       5.0.0                           Added sound event flags
'       5.0.0                           Added VCSetCurrentErasedEx constants and flags
'
'*************************************************************EDOC*/

' Visual CADD Types
Option Explicit

' Visual CADD Public Constants

' Entity Kinds
' Declare Function VCGetCurrentEntityKind Lib "VCLink32.DLL" (iError As Integer) As Integer
' Reserve 1-100 for 2D kinds
Public Const UNKNOWN = 0
Public Const LINE2D = 1
Public Const ARC2D = 2
Public Const CIRCLE2D = 3
Public Const ELLIPSE2D = 4
Public Const BEZIER2D = 5
Public Const Point2D = 6
Public Const SYMBOL2D = 7
Public Const TEXT2D = 8
Public Const DIMLINEAR2D = 9
Public Const DIMANGULAR2D = 10
Public Const DIMRADIAL2D = 11
Public Const DIMDIAMETER2D = 12
Public Const FILL2D = 13
Public Const HATCH2D = 14
Public Const ATTRIBUTE2D = 15
Public Const INTERPCURV2D = 16
Public Const MINTERPCURV2D = 17
Public Const ELLIPTICALARC2D = 18
Public Const CONTINUOUSLINE2D = 19
Public Const CONTINUOUSBEZIER2D = 20
Public Const LEADER2D = 21
Public Const REFFRAME2D = 22
Public Const ORDDIM2D = 23
Public Const IMAGE2D = 24

' Reserve 101-200 for 3D kinds
Public Const POLYGON3D = 101
Public Const _POINT3D_ = 102
Public Const LINE3D = 103
Public Const SYMBOL3D = 104
Public Const CONTINUOUSLINE3D = 105

' Declare Sub VCScreenToWorld2DBP  Lib "VCLink32.DLL" (iError As Integer, ipScreen As iPoint2D, dpWorld As Point2D)
' ipScreen =
Public Type iPoint2D
        X As Long
        Y As Long
End Type

' Declare Sub VCDigPointBP  Lib "VCLink32.DLL" (lpt As lPoint2D, ByVal bButtonNum As Integer, ByVal bButtonState As Integer)
' lpt =
Public Type lPoint2D
        X As Long
        Y As Long
End Type

' Declare Sub VCAddLineEntityBP Lib "VCLink32.DLL" (iError As Integer, ByVal iSymbolIndex As Integer, dpP0 As Point2D, dpP1 As Point2D)
' dpP0 =
Public Type Point2D
        X As Double
        Y As Double
End Type

' Declare Sub VCAddLine3D Lib "VCLink32.DLL" (iError As Integer, ByVal iSymbolIndex As Integer, dpP0 As Point3D, dpP1 As Point3D)
' dpP0 =
Public Type Point3D
        X As Double
        Y As Double
        Z As Double
End Type

' Declare Sub VCChangeSelected Lib "VCLink32.DLL" (ea As EAttr)
' ea =
Public Type EAttr
  Color As Integer
  Layer As Integer
  LineType As Integer
  LineWidth As Integer
  fWidth As Single
  bByLayerFlag As Byte
End Type

' Declare Sub VCPaintBP  Lib "VCLink32.DLL" (ByVal hWnd As Long, rc As RECT)
' rc =
Public Type RECT
  left As Long
  top As Long
  right As Long
  bottom As Long
End Type

' Bitwise flags that can be "OR"ed together for the bByLayerFlag member of the EAttr Struct
Public Const COLORBYLAYER = &H1
Public Const TYPEBYLAYER = &H2
Public Const WIDTHBYLAYER = &H4
Public Const RESERVEBYLAYER = &H8

'======================================================================================
' Defines for VCSetAlertApp, VCSetAlertAppEx, VCSetAlertAppDll & VCSetAlertAppDllEx
' Declare Sub VCSetAlertAppDllEx Lib "VCLink32.DLL" (iError As Integer, ByVal DllName As String, ByVal NativeCmd As String, ByVal iCode0 As Long, ByVal iCode1 As Long)

' iCode0 = ALERT_APP_....
' iCode1 = ALERT_APP_EX_.....
' These values can be bit-wise "OR"ed together.
' Example:
' Declare Sub VCSetAlertAppDllEx Lib "VCLink32.DLL" (iError As Integer, ByVal DllName As String, ByVal NativeCmd As String, ByVal iCode0 As Long, ByVal iCode1 As Long)
' iCode0 = ALERT_APP_WORLD_CLOSE Or ALERT_APP_UTOOL_MOUSEMOVE
' iCode1 = ALERT_APP_EX_WORLD_ACTIVATE


' The ALERT_APP_..._DLL defines are the DLL function name postfixs when using
' VCSetAlertAppDll(...) and VCSetAlertAppDllEx(...). They are seperated from the
' NativeCmd parameter by a '_'.
' Example:
' NativeCmd = "MyFunction"
' iCode0 = ALERT_APP_UTOOL_MOUSEDOWN Or ALERT_APP_UTOOL_MOUSEMOVE
' You need to define the following the functions in your DLL:
' MyFunction_MouseDown( WPARAM, LPARAM); 'ALERT_APP_UTOOL_MOUSEDOWN
' MyFunction_MouseMove( WPARAM, LPARAM); 'ALERT_APP_UTOOL_MOUSEMOVE

' The ALERT_..._CHARCODE defines values are sent to your application as the wParam
' parameters of a WM_CHAR message when using VCSetAlertApp(...) and VCSetAlertAppEx(...).

' The ALERT_APP_... HEX value defines are for the iCode0
' The ALERT_APP_EX_... HEX value defines are for the iCode1
'======================================================================================
' the following are bit-wise "OR"ed together for the iCode0
'
Public Const ALERT_APP_ALL = 0

Public Const ALERT_APP_UTOOL_MOUSEDOWN = &H1
Public Const ALERT_APP_UTOOL_MOUSEDOWN_DLL = "MouseDown"

Public Const ALERT_APP_UTOOL_MOUSEMOVE = &H2
Public Const ALERT_APP_UTOOL_MOUSEMOVE_DLL = "MouseMove"

Public Const ALERT_APP_UTOOL_ABORT = &H4
Public Const ALERT_APP_UTOOL_ABORT_DLL = "Abort"

Public Const ALERT_APP_CMDLINE_CHAR = &H8
Public Const ALERT_APP_CMDLINE_CHAR_DLL = "Char"

Public Const ALERT_APP_CLOSE = &H10
Public Const ALERT_APP_CLOSE_DLL = "AppClose"

Public Const ALERT_APP_UTOOL_PENUP = &H20
Public Const ALERT_APP_UTOOL_PENUP_DLL = "PenUp"
Public Const ALERT_PENUP_CHARCODE = 252
         
Public Const ALERT_APP_WORLD_CLOSE = &H40
Public Const ALERT_APP_WORLD_CLOSE_DLL = "DrawingClose"
Public Const ALERT_APP_WORLD_CLOSE_CHARCODE = 253

Public Const ALERT_APP_UTOOL_ERASERUBBER = &H80
Public Const ALERT_APP_UTOOL_ERASERUBBER_DLL = "EraseRubber"
Public Const ALERT_UTOOL_ERASERUBBER_CHARCODE = 255

Public Const ALERT_APP_TOOL_COMPLETE = &H100
Public Const ALERT_APP_TOOL_COMPLETE_DLL = "ToolComplete"
Public Const ALERT_TOOL_COMPLETE_CHARCODE = 254
' Added version 4.0.0
' Added an encoded lParam which is sent with the alert
' LOWORD = the ID of the tool completing. See CmdID.bas
' HIGHWORD = the tool type. See Visual CADD Tool Types.

Public Const ALERT_APP_UTOOL_INIT = &H200
Public Const ALERT_APP_UTOOL_INIT_DLL = "Init"
Public Const ALERT_UTOOL_INIT_CHARCODE = 251

Public Const ALERT_APP_UTOOL_TERMINATE = &H400
Public Const ALERT_APP_UTOOL_TERMINATE_DLL = "Terminate"
Public Const ALERT_UTOOL_TERMINATE_CHARCODE = 250

Public Const ALERT_APP_FRAME_CLOSE = &H800
Public Const ALERT_APP_FRAME_CLOSE_DLL = "FrameClose"
Public Const ALERT_FRAME_CLOSE_CHARCODE = 249

Public Const ALERT_APP_FRAME_RESIZE = &H1000
Public Const ALERT_APP_FRAME_RESIZE_DLL = "FrameResize"
Public Const ALERT_FRAME_RESIZE_CHARCODE = 248

Public Const ALERT_APP_ENTITY_ERASED = &H2000
Public Const ALERT_APP_ENTITY_ERASED_DLL = "EntityErased"
Public Const ALERT_APP_ENTITY_ERASED_CHARCODE = 247

Public Const ALERT_APP_ENTITY_SELECT_CHANGE = &H4000
Public Const ALERT_APP_ENTITY_SELECT_CHANGE_DLL = "EntitySelectChange"
Public Const ALERT_APP_ENTITY_SELECT_CHANGE_CHARCODE = 246

Public Const ALERT_APP_ACTIVATE = &H8000
Public Const ALERT_APP_ACTIVATE_DLL = "Activate"
Public Const ALERT_APP_ACTIVATE_CHARCODE = 245

Public Const ALERT_APP_DEACTIVATE = &H10000
Public Const ALERT_APP_DEACTIVATE_DLL = "DeActivate"
Public Const ALERT_APP_DEACTIVATE_CHARCODE = 244

Public Const ALERT_APP_UTOOL_MOUSEUP = &H20000
Public Const ALERT_APP_UTOOL_MOUSEUP_DLL = "MouseUp"

Public Const ALERT_APP_WORLD_MOUSEMOVE = &H40000
Public Const ALERT_APP_WORLD_MOUSEMOVE_DLL = "WorldMouseMove"
Public Const ALERT_APP_WORLD_MOUSEMOVE_CHARCODE = 243

Public Const ALERT_APP_WORLD_MOUSEDOWN = &H80000
Public Const ALERT_APP_WORLD_MOUSEDOWN_DLL = "WorldMouseDown"
Public Const ALERT_APP_WORLD_MOUSEDOWN_CHARCODE = 242

Public Const ALERT_APP_WORLD_MOUSEUP = &H100000
Public Const ALERT_APP_WORLD_MOUSEUP_DLL = "WorldMouseUp"
Public Const ALERT_APP_WORLD_MOUSEUP_CHARCODE = 241

Public Const ALERT_APP_WORLD_END_REDRAW = &H200000
Public Const ALERT_APP_WORLD_END_REDRAW_DLL = "WorldEndRedraw"
Public Const ALERT_APP_WORLD_END_REDRAW_CHARCODE = 240

Public Const ALERT_APP_WORLD_BEGIN_REDRAW = &H400000
Public Const ALERT_APP_WORLD_BEGIN_REDRAW_DLL = "WorldBeginRedraw"
Public Const ALERT_APP_WORLD_BEGIN_REDRAW_CHARCODE = 239

Public Const ALERT_APP_WORLD_BEGIN_PRINT = &H800000
Public Const ALERT_APP_WORLD_BEGIN_PRINT_DLL = "WorldBeginPrint"
Public Const ALERT_APP_WORLD_BEGIN_PRINT_CHARCODE = 238

Public Const ALERT_APP_WORLD_END_PRINT = &H1000000
Public Const ALERT_APP_WORLD_END_PRINT_DLL = "WorldEndPrint"
Public Const ALERT_APP_WORLD_END_PRINT_CHARCODE = 237

' Added version 3.0.0
Public Const ALERT_APP_TOOL_START = &H2000000
Public Const ALERT_APP_TOOL_START_DLL = "ToolStart"
Public Const ALERT_APP_TOOL_START_CHARCODE = 236
' Added version 4.0.0
' encoded lParam which is sent with the alert
' LOWORD = the ID of the tool being starting. See CmdID.bas
' HIGHWORD = the tool type. See Visual CADD Tool Types.

' Added version 3.0.0
Public Const ALERT_APP_TOOL_ABORT = &H4000000
Public Const ALERT_APP_TOOL_ABORT_DLL = "ToolAbort"
Public Const ALERT_APP_TOOL_ABORT_CHARCODE = 235
' Added version 4.0.0
' encoded lParam which is sent with the alert
' LOWORD = the ID of the tool being aborted. See CmdID.h
' HIGHWORD = the tool type. See Visual CADD Tool Types.

' Added version 4.0.0
' The Visual CADD Tool Types flags sent as the lParam with
' the ALERT_APP_TOOL_START/COMPLETE/ABORT alerts.
Public Const TOOL_NON_NESTABLE = 0
Public Const TOOL_NESTABLE = 1
Public Const TOOL_PHANTOM = 2
Public Const TOOL_ALLOW_NON_NESTABLE = 3

'======================================================================================
' Defines for VCSetAlertAppEx & VCSetAlertAppDllEx iCode1 Parameter Added version 3.0.0
'======================================================================================
' Added version 3.0.0
Public Const ALERT_APP_EX_ALL = &HFFFFFFFF

' Added version 3.0.0
Public Const ALERT_APP_EX_PRE_TRANSLATE_GET_MESSAGE = &H1
Public Const ALERT_APP_EX_PRE_TRANSLATE_GET_MESSAGE_DLL = "PreTranslateGetMessage"
Public Const ALERT_APP_EX_PRE_TRANSLATE_GET_MESSAGE_CHARCODE = 233

' Added version 3.0.0
Public Const ALERT_APP_EX_PRE_TRANSLATE_FRAME_MESSAGE = &H2
Public Const ALERT_APP_EX_PRE_TRANSLATE_FRAME_MESSAGE_DLL = "PreTranslateFrameMessage"
Public Const ALERT_APP_EX_PRE_TRANSLATE_FRAME_MESSAGE_CHARCODE = 232

' Added version 3.0.0
Public Const ALERT_APP_EX_PRE_TRANSLATE_DIALOG_MESSAGE = &H4
Public Const ALERT_APP_EX_PRE_TRANSLATE_DIALOG_MESSAGE_DLL = "PreTranslateDialogMessage"
Public Const ALERT_APP_EX_PRE_TRANSLATE_DIALOG_MESSAGE_CHARCODE = 231

' Added version 3.0.0
' VCM_USER_ALERT Posted as the wParam of a WM_COMMAND Message will cause Visual Cadd
' to call the ALERT_APP_EX_USER_ALERT_MESSAGE.  The lParam the user sends in the WM_COMMAND
' message will be sent back to them.  This call can be used to avoid recursion which can
' happen in many of the AlertApp messages such as starting a new tool from within the
' AlertAppToolComplete message.
Public Const ALERT_APP_EX_USER_ALERT_MESSAGE = &H8
Public Const ALERT_APP_EX_USER_ALERT_DLL = "UserAlert"
Public Const ALERT_APP_EX_USER_ALERT_CHARCODE = 230
Public Const VCM_USER_ALERT = 2801

' Added version 3.0.1
Public Const ALERT_APP_EX_DIALOG_OPEN_MESSAGE = &H10
Public Const ALERT_APP_EX_DIALOG_OPEN_DLL = "DialogOpen"
Public Const ALERT_APP_EX_DIALOG_OPEN_CHARCODE = 229

' Added version 3.0.1
Public Const ALERT_APP_EX_DIALOG_CLOSE_MESSAGE = &H20
Public Const ALERT_APP_EX_DIALOG_CLOSE_DLL = "DialogClose"
Public Const ALERT_APP_EX_DIALOG_CLOSE_CHARCODE = 228

' Added version 4.0.0
Public Const ALERT_APP_EX_PRE_TRANSLATE_MDICHILD_MESSAGE = &H40
Public Const ALERT_APP_EX_PRE_TRANSLATE_MDICHILD_MESSAGE_DLL = "PreTranslateMdiChildMessage"
Public Const ALERT_APP_EX_PRE_TRANSLATE_MDICHILD_MESSAGE_CHARCODE = 227

' Added version 5.0.0
' ALERT_APP_EX_WORLD_ACTIVATE sends the
' HWND of the world just activated as the lParam.
' This alert is sent after the world has been activated.
Public Const ALERT_APP_EX_WORLD_ACTIVATE = &H80
Public Const ALERT_APP_EX_WORLD_ACTIVATE_DLL = "WorldActivate"
Public Const ALERT_APP_EX_WORLD_ACTIVATE_CHARCODE = 226

' Added version 5.0.0
' ALERT_APP_EX_WORLD_DEACTIVATE sends the
' HWND of the world to be deactivated as the lParam.
' This alert is sent before the window is deactivated.
Public Const ALERT_APP_EX_WORLD_DEACTIVATE = &H100
Public Const ALERT_APP_EX_WORLD_DEACTIVATE_DLL = "WorldDeActivate"
Public Const ALERT_APP_EX_WORLD_DEACTIVATE_CHARCODE = 225

' Added version 5.0.0
' ALERT_APP_EX_FILE_OPEN sends a flag indicating its
' state as the lParam.
' See ALERT_APP_EX_FILE_OPEN/FILE_SAVE alerts flags
Public Const ALERT_APP_EX_FILE_OPEN = &H200
Public Const ALERT_APP_EX_FILE_OPEN_DLL = "FileOpen"
Public Const ALERT_APP_EX_FILE_OPEN_CHARCODE = 224

' Added version 5.0.0
' ALERT_APP_EX_FILE_SAVE sends a flag indicating its
' state as the lParam.
' See ALERT_APP_EX_FILE_OPEN/FILE_SAVE alerts flags
Public Const ALERT_APP_EX_FILE_SAVE = &H400
Public Const ALERT_APP_EX_FILE_SAVE_DLL = "FileSave"
Public Const ALERT_APP_EX_FILE_SAVE_CHARCODE = 223

' Added version 5.0.0
' The lParam flags sent with the ALERT_APP_EX_FILE_OPEN/FILE_SAVE alerts
Public Const VC_FA_PRE_OPEN = 1
Public Const VC_FA_POST_OPEN = 2
Public Const VC_FA_PRE_DATA = 3
Public Const VC_FA_POST_DATA = 4
Public Const VC_FA_PRE_CLOSE = 5
Public Const VC_FA_POST_CLOSE = 6

' API calls which use "SymbolIndex", use this parameter for entity section additions
' Declare Sub VCAddLineEntityBP Lib "VCLink32.DLL" (iError As Integer, ByVal iSymbolIndex As Integer, dpP0 As Point2D, dpP1 As Point2D)
' iSymbolIndex = or iSymbolIndex = VCGetSymbolIndex(iError, pName);
Public Const NONDEFENTITY = -1
Public Const HATCHFILLENTITY = -2

' Declare Sub VCSetProjection3D Lib "VCLink32.DLL" (iError As Integer, ByVal iCode As Integer)
' iCode =
Public Const VIEW3D_FLAT = 0
Public Const VIEW3D_PARALLEL = 1
Public Const VIEW3D_PERSPECTIVE = 2

' Declare Sub VCSet3DDisplay Lib "VCLink32.DLL" (iError As Integer, ByVal iCode As Integer)
' iCode =
Public Const VIEW3D_WIREFRAME = 0
Public Const VIEW3D_QSHADE = 1

' Declare Sub VCSet3DQShadeOptions Lib "VCLink32.DLL" (iError As Integer, ByVal iCode As Integer)
' iCode =
Public Const QSHADE_ROUGH = 0
Public Const QSHADE_EXACT = 1
Public Const QSHADE_EXACT_AND_SPLIT = 2

' Declare Sub VCChangeView3D Lib "VCLink32.DLL" (iError As Integer, ByVal iCode As Integer, ByVal dFact As Double)
' iCode =
Public Const CHANGE_VIEW3D_LEFT = 0
Public Const CHANGE_VIEW3D_RIGHT = 1
Public Const CHANGE_VIEW3D_UP = 2
Public Const CHANGE_VIEW3D_DOWN = 3
        
' VC Supported File Types
' Declare Sub VCSaveDrawing Lib "VCLink32.DLL" (iError As Integer, ByVal pName As String, ByVal iFileType As Integer, ByVal tfSaveSelected As Integer)
' iFileType =
Public Const FILE_NONVALID = -1
Public Const FILE_VCD = 0
Public Const FILE_VCS = 1
Public Const FILE_VCA = 2
Public Const FILE_GCD = 3
Public Const FILE_CMP = 4
Public Const FILE_DWG = 5
Public Const FILE_DXF = 6
Public Const FILE_STY = 7
Public Const FILE_VCF = 8
Public Const FILE_EMF = 9
Public Const FILE_WMF = 10
Public Const FILE_SHP = 11 ' Added version 3.0.0
Public Const FILE_MIF = 12 ' Added version 3.0.0
Public Const FILE_VBK = 13 ' Added version 3.0.0
Public Const FILE_PDF = 14 ' Added version 3.0.0

' Conversion unit constants
Public Const UNIT_INCH = 0
Public Const UNIT_FEET = 1
Public Const UNIT_MM = 2
Public Const UNIT_CM = 3
Public Const UNIT_M = 4
Public Const UNIT_MILE = 10 ' Added version 3.0.0
Public Const UNIT_K = 11 ' Added version 3.0.0

' Display and dimension units
' Declare Sub VCSetDisplayDistFormat Lib "VCLink32.DLL" (iError As Integer, ByVal iF_ As Integer)
' Declare Sub VCSetDimDistFormat Lib "VCLink32.DLL" (iError As Integer, ByVal iF_ As Integer)
' iF =
Public Const InDec = 0
Public Const FtInDec = 1
Public Const FtDec = 2
Public Const InFrac = 3
Public Const FtInFrac = 4
Public Const FtFrac = 5
Public Const Mil = 6
Public Const Cen = 7
Public Const Met = 8
Public Const Mile = 20 ' Added version 3.0.0
Public Const Kilo = 21 ' Added version 3.0.0

' Angular display and dimension units
' Declare Sub VCSetDisplayAngleFormat Lib "VCLink32.DLL" (iError As Integer, ByVal iF_ As Integer)
' Declare Sub VCSetDimAngleFormat Lib "VCLink32.DLL" (iError As Integer, ByVal iF_ As Integer)
' iF =
Public Const AngDeg = 9
Public Const AngDMS = 10
Public Const AngDM = 11 ' Added version 3.0.0

' Dimension mode
' Declare Sub VCDimSetDimMode Lib "VCLink32.DLL" (iError As Integer, ByVal b As Integer)
' b =
Public Const DIMMODESINGLE = 0
Public Const DIMMODECUMULATIVE = 1
Public Const DIMMODEPARTITIONED = 2

' Dimension Direction
' Declare Sub VCSetDimLineDirect Lib "VCLink32.DLL" (iError As Integer, ByVal b As Integer)
' b =
Public Const DIMALIGNED = 1
Public Const DIMHORIZONTAL = 2
Public Const DIMVERTICAL = 3
Public Const DIMATANANGLE = 4

' Tolerance Type
' Declare Sub VCSetDimTextTolType Lib "VCLink32.DLL" (iError As Integer, ByVal b As Integer)
' b =
Public Const DIMNOTOLERANCE = 0
Public Const DIMSTACKEDMINMAX = 1
Public Const DIMSTACKEDVARIANCE = 2
Public Const DIMFIXEDVARIANCE = 3
Public Const DIMBASICTOLERANCE = 4

' Dimension Extension Stretch
' Declare Sub VCDimSetDimExtStretch Lib "VCLink32.DLL" (iError As Integer, ByVal b As Integer)
' b =
Public Const DIMEXTNOSTRETCH = 0
Public Const DIMEXTSTRETCH = 1

' Arrow Types
' Declare Sub VCSetDimArrowType Lib "VCLink32.DLL" (iError As Integer, ByVal b As Integer)
' b =
Public Const DIMARROWREGNOFILL = 0
Public Const DIMARROWREGFILLED = 1
Public Const DIMARROWREGOPEN = 2
Public Const DIMARROWNOTCHED = 3
Public Const DIMARROWSLASH = 4
Public Const DIMARROWCIRCLENOFILL = 5
Public Const DIMARROWCIRCLEFILL = 6

' Dimension Text Position
' Declare Sub VCSetDimLineText Lib "VCLink32.DLL" (iError As Integer, ByVal b As Integer)
' b =
Public Const DIMTEXTINLINE = 0
Public Const DIMTEXTABOVELINE = 1
Public Const DIMTEXTFREEFLOAT = 2
Public Const DIMTOUTSIDELINE = 3 ' Added version 4.0.0

' Dimension Text Rotation
' Declare Sub VCSetDimTextRotationType Lib "VCLink32.DLL" (iError As Integer, ByVal b As Integer)
' b =
Public Const DIMTEXTROTATIONALIGNED = 0
Public Const DIMTEXTROTATIONHORIZONTAL = 1

' Dimension Proximity Mode
' Declare Sub VCDimSetDimProximity Lib "VCLink32.DLL" (iError As Integer, ByVal b As Integer)
' b =
Public Const DIMLINENOPROXFIX = 0
Public Const DIMLINEPROXFIX = 1

' Arrow Mode
' Declare Sub VCSetDimArrowMode Lib "VCLink32.DLL" (iError As Integer, ByVal b As Integer)
' b =
Public Const DIMARROWNOFLIP = 0
Public Const DIMARROWFLIP = 1

' Dimension items
' Declare Sub VCSetDimItemColor Lib "VCLink32.DLL" (iError As Integer, ByVal i As Integer, ByVal j As Integer)
' i =
Public Const DIMLINE = 0
Public Const DIMLEFTARROW = 1
Public Const DIMRIGHTARROW = 2
Public Const DIMLEFTEXT = 3
Public Const DIMRIGHTEXT = 4
Public Const DIMTEXT = 5

' Leader vertical alignments
' Declare Sub VCSetLeaderVerticalAlign Lib "VCLink32.DLL" (iError As Integer, ByVal b As Byte);
' b =
Public Const LEADER_VERT_DEFAULT = 0
Public Const LEADER_VERT_BASELINE = 1
Public Const LEADER_VERT_TOP = 2
Public Const LEADER_VERT_CENTER = 3
Public Const LEADER_VERT_BOTTOMCENTER = 4
Public Const LEADER_VERT_BOTTOMBASELINE = 5

' Datum modes
' Declare Sub VCSetDatumType Lib "VCLink32.DLL" (iError As Integer, ByVal iDatumType As Integer)
' iDatumType =
Public Const DATUMNONE = 0
Public Const DATUMXY = 1
Public Const DATUMX = 2
Public Const DATUMY = 3

' Text justify modes
' Declare Sub VCSetTextJustify Lib "VCLink32.DLL" (iError As Integer, ByVal j As Integer)
' j =
Public Const JUSTIFY_CENTER = 67	' ASCII character C
Public Const JUSTIFY_LEFT = 76		' ASCII character L
Public Const JUSTIFY_RIGHT = 82		' ASCII character R

' Symbol explode layers
' Declare Sub VCSetSymExplode Lib "VCLink32.DLL" (iError As Integer, ByVal iEx As Integer)
' iEx =
Public Const INDIVIDUAL_LAYER = 0
Public Const PLACEMENT_LAYER = 1
Public Const CURRENT_LAYER = 2

' AutoCAD Import Unit Types
' Declare Sub VCSetAcadImportUnit Lib "VCLink32.DLL" (iError As Integer, ByVal b As Byte)
' b =
Public Const ACAD_UNIT_INCH = 0
Public Const ACAD_UNIT_FEET = 1
Public Const ACAD_UNIT_MILL = 2
Public Const ACAD_UNIT_CENT = 3
Public Const ACAD_UNIT_METER = 4

' Printer API constants

' PrintStruct.tfPrintMode =
Public Const PrintMode = 0
Public Const PLOTMODE = 1

' PrintStruct.ScaleMode =
Public Const FITTOPAPER = 0
Public Const CURRENTVIEW = 1
Public Const PRINT_SCALE = 2

' PrintStruct.Orientation =
Public Const PORTRAITMODE = 0
Public Const LANDSCAPEMODE = 1

' PrintStruct.PaperUnit =
Public Const METRICUNITS = 0
Public Const ENGLISHUNITS = 1

' Used in PrintStruct
Public Type DoubleRect
  left As Double
  top As Double
  right As Double
  bottom As Double
End Type

' Declare Sub VCSetPrintSettings Lib "VCLink32.DLL" (iError As Integer, pSettings As PrintStruct)
' PrintStruct =
Type PrintStruct
    PrintMode As Integer
    PageSize As Point2D
    Margins As DoubleRect
    dscale As Double
    Origin As Point2D
    ScaleMode As Integer
    Orientation As Integer
    dRotation As Double
    PrintToFile As Integer
    SelectionOnly As Integer
    DateStamp As Integer
    FastPreview As Integer
    AllColorsToBlack As Integer
    PaperUnit As Integer
End Type

' Plotter API constants

' PlotStruct.Port =
Public Const PORTCOM1 = 0
Public Const PORTCOM2 = 1
Public Const PORTCOM3 = 2
Public Const PORTCOM4 = 3
Public Const PORTLPT1 = 4
Public Const PORTLPT2 = 5
Public Const PORTLPT3 = 6
Public Const PORTFILE = 7

' PlotStruct.BaudRate =
Public Const BAUD110 = 0
Public Const BAUD300 = 1
Public Const BAUD1200 = 2
Public Const BAUD2400 = 3
Public Const BAUD4800 = 4
Public Const BAUD9600 = 5
Public Const BAUD19200 = 6
Public Const BAUD38400 = 7
Public Const BAUD57600 = 8

' PlotStruct.DataBits =
Public Const DATABITS7 = 0
Public Const DATABITS8 = 1

' PlotStruct.Parity =
Public Const PARITYODD = 0
Public Const PARITYEVEN = 1
Public Const PARITYNONE = 2

' PlotStruct.StopBits =
Public Const STOPBITS1 = 0
Public Const STOPBITS2 = 1

' Declare Sub VCSetPlotSettings Lib "VCLink32.DLL" (iError As Integer, pSettings As PlotStruct)
' pSettings =
Type PlotStruct
    Port As Integer
    BaudRate As Integer
    DataBits As Integer
    Parity As Integer
    StopBits As Integer
    NumPens As Integer
    NumCarousels As Integer
    DPI As Integer
    UseCarousels As Integer
    UseLLOrigin As Integer
    SortColors As Integer
    Optimize As Integer
    BufferOutput As Integer
End Type

' Tool Bar constants
' Declare Function VCGetToolbar Lib "VCLink32.DLL" (ByVal i As Integer) As Long
' i =
Public Const TBNONE = 0         ' no toolbar
Public Const TBTOP = 1          ' the main speedbar
Public Const TBLEFT = 2         ' the tool palette
Public Const TBRIGHT = 3        ' not used
Public Const TBBOTTOM = 4 ' the status bar

' Font types constants
' Declare Sub VCSetTextFontNameAndType Lib "VCLink32.DLL" (iError As Integer, ByVal pS As String, ByVal b As Byte)
' b =
Public Const WINTEXT = &H0              ' Windows font
Public Const VCFTEXT = &H1              ' VCF font
Public Const LIMBOTEXT = &H2    ' undetermined font. Added version 5.0.0
Public Const LOOKUPTEXT = &H4   ' lookup font type in font table. Added version 5.0.0

' Added version 4.0.0
' Ortho Advanced type flags
' Declare Sub VCSetOrthoAdvancedType Lib "VCLink32.DLL" (iError As Integer, ByVal iType As Integer)
' iType =
Public Const ORTHOADV_NONE = 0
Public Const ORTHOADV_STEPANGLE = 1
Public Const ORTHOADV_INCREMENTS = 2
Public Const ORTHOADV_ONEANGLE = 3

' Added version 4.0.0
' Running snap type flags
' Declare Sub VCSetRunningSnapType Lib "VCLink32.DLL" (iError As Integer, ByVal dwFlags As Long, ByVal wOperation As Integer)
' dwFlags =
Public Const NOSNAP = &H0
Public Const OSNAP_END = &H1
Public Const OSNAP_OBJ = &H2
Public Const OSNAP_MID = &H4
Public Const OSNAP_INT = &H8
Public Const OSNAP_PERP = &H10
Public Const OSNAP_TAN = &H20
Public Const OSNAP_QUAD = &H40
Public Const OSNAP_PER = &H80
Public Const OSNAP_CEN = &H100
Public Const OSNAP_ALL = &H1FF  'this will be updated if new snaps are added

' Added version 4.0.0
' Running snap types bitwise operators
' Declare Sub VCSetRunningSnapType Lib "VCLink32.DLL" (iError As Integer, ByVal dwFlags As Long, ByVal wOperation As Integer)
' wOperation =
Public Const Op_Assign = 1
Public Const Op_OR = 2
Public Const Op_AND = 3

' Added version 4.0.0
' Font list sorting order flags
' Declare Sub VCSetFontListSorting Lib "VCLink32.DLL" (iError As Integer, ByVal i As Integer)
' i =
Public Const SORT_ALLFONTS_MIXED = 0
Public Const SORT_VECTORFONT_FIRST = 1
Public Const SORT_TRUETYPEFONT_FIRST = 2

' Added version 5.0.0
' status codes on completion of HatchGen
' Declare Function VCGetCurrentHatchStatus Lib "VCLink32.DLL" (iError As Integer) As Long
Public Const GENERATE_NOT_DONE = 0
Public Const GENERATE_NORMAL = 1
Public Const GENERATE_USER_ABORT = 2
Public Const GENERATE_MAX_EXCEEDED = 3
Public Const GENERATE_HATCH_NOT_FOUND = 4
Public Const GENERATE_INVALID_BOUNDARY = 5
Public Const GENERATE_NO_DRAWPATTERN = 6

' Added version 5.0.0
' Hatch alignment flags
' Declare Sub VCSetHatchAlignment Lib "VCLink32.DLL" (iError As Integer, ByVal iAlign As Long)
' iAlign =
Public Const HATCH_ALIGN_CENTER = 0
Public Const HATCH_ALIGN_ORIGIN = 1
Public Const HATCH_ALIGN_LOWER_LEFT = 2
Public Const HATCH_ALIGN_FIRST_POINT = 3

' Added version 5.0.0
' Sound event flags
' Declare Sub VCSound Lib "VCLink32.DLL" (ByVal Sound As Long)
' Sound =
Public Const SND_CRITICAL = &H1000000   ' critical error
Public Const SND_TOOLERROR = &H2000000  ' tool error
Public Const SND_TOOLDONE = &H3000000   ' successful tool completion
Public Const SND_ABORT = &H4000000      ' abort
Public Const SND_ALERT = &H5000000      ' user attention is required
Public Const SND_INPUT = &H6000000      ' input error
Public Const SND_DEBUG = &H7000000      ' internal debug sound
Public Const SND_STARTUP = &H8000000            ' start up sound
Public Const SOUND_COUNT = 8            ' updated as needed

' Added version 5.0.0
' EraseEx action flags
' Declare Function VCSetCurrentErasedEx Lib "VCLink32.DLL" (iError As Integer, ByVal iErase As Integer, ByVal iUserSessionID As Integer, ByVal bfFlags As Long) As Integer
' iErase =
Public Const EREX_UNERASE = 0
Public Const EREX_ERASE = 1
Public Const EREX_ERASE_NOREDO = 2
Public Const EREX_PURGE = 3

' Added version 5.0.0
' OperationEx and EraseEx behaviour flags
' Declare Function VCSetCurrentErasedEx Lib "VCLink32.DLL" (iError As Integer, ByVal iErase As Integer, ByVal iUserSessionID As Integer, ByVal bfFlags As Long) As Integer
' Declare Function VCEndOperationEx Lib "VCLink32.DLL" (iError As Integer, ByVal iUserSessionID As Integer, ByVal bfFlags As Long) As Integer
' bfFlags =
Public Const OPEX_DEFAULT = &H0
Public Const OPEX_NOTRUNC = &H1
Public Const OPEX_NOPURGE = &H2
Public Const OPEX_NODESELECT = &H4
Public Const OPEX_NODRAW = &H8


'--------------------------------------------------------------------------------------------
' The following are not used directly in the API but can be useful in Visual CADD programming
'--------------------------------------------------------------------------------------------

' Visual CADD Fonts

' TrueType font ASCII Character Code values for dimension symbols
Public Const TT_DIAMETER_SYMBOL = 216
Public Const TT_PLUSMINUS_SYMBOL = 177
Public Const TT_DEGREE_SYMBOL = 176

' VCF font ASCII Character Code values for dimension symbols
Public Const VCF_DIAMETER_SYMBOL = 157
Public Const VCF_PLUSMINUS_SYMBOL = 241
Public Const VCF_DEGREE_SYMBOL = 248

' Used in VCFCharRecord
Public Type fPoint2D
  X As Single
  Y As Single
End Type

' VCF font record
Public Type VCFCharRecord
  ch As Byte
  bFillable As Integer
  fpMin As fPoint2D
  fpMax As fPoint2D
End Type

' VCF font header
Public Type VCFHeader
  bVersion As Byte
  szFont(32) As Byte
  nChars As Integer
End Type

'PDF export settings
Public Type VCPDFExportSettings
	iSize As Short
	dHeight As Double
	dWidth As Double
	dpMarginUR As Point2D
	dpMarginLL As Point2D
	tfUseCompression As Short
	tfSelectionOnly As Short
	tfLW0HasWidth As Short
	tfCenterAlways As Short
	tfLandscape As Short
	tfShowWatermark As Short
	iOutputColor As Short
	iFontEmbed As Short
	iPermissions As Short
	tfUseEncryption As Short
	szUserPwd(36) As Byte
	szOwnerPwd(36) As Byte
  szWatermark(64) As Byte
	szTitle(256) As Byte
	szSubject(256) As Byte
	szAuthor(256) As Byte
	szKeywords(256) As Byte
	dBaseLineWidth As Double
	dpOrigin As Point2D
	iView As Short
	dScale As Double
	tfOpenReader As Short
	iImageResolution As Integer
	iLayerMode As Integer
	iWatermarkGray As Integer
End Type	

' Visual CADD cursor names
' These can be used to load Visual CADD cursors for use in your application.
' Example: hLikeCur = LoadCursor(VCGetVCResourceInstance(), CUR_LIKECURSOR);
Public Const CUR_LIKECURSOR = "LIKECURSOR"
Public Const CUR_POINTER = "POINTER"
Public Const CUR_NOCURSOR = "NOCURSOR"
Public Const CUR_MOVECURSOR = "MOVECURSOR"
Public Const CUR_SNAPEND = "SNAPEND"
Public Const CUR_SNAPCENTER = "SNAPCENTER"
Public Const CUR_SNAPINT = "SNAPINT"
Public Const CUR_SNAPOBJ = "SNAPOBJ"
Public Const CUR_SNAPMID = "SNAPMID"
Public Const CUR_SNAPPERCENT = "SNAPPERCENT"
Public Const CUR_SNAPPERP = "SNAPPERP"
Public Const CUR_SNAPQUAD = "SNAPQUAD"
Public Const CUR_SNAPTAN = "SNAPTAN"
Public Const CUR_DRAGDOC = "DRAGDOC"
Public Const CUR_DRAGDATA = "DRAGDATA"
Public Const CUR_SIZEWE = "SIZEWE"
Public Const CUR_TOLAYER = "TOLAYER"

' Visual CADD limits

' The following string length are the sizes of the maximum string
' sizes and do not include space for the terminal NULL. Buffer to
' receive these values need to be sized accordingly.
' Example: szBuffer[MAX_MACRO + 1]
Public Const MAX_VC_OBJ_NAME = 32
Public Const MAX_VC_SYM_NAME = MAX_VC_OBJ_NAME
Public Const MAX_VC_ATB_NAME = MAX_VC_OBJ_NAME
Public Const MAX_VC_HATCH_NAME = MAX_VC_OBJ_NAME
Public Const MAX_VC_LAY_NAME = MAX_VC_OBJ_NAME
Public Const MAX_VC_LAY_GRP_NAME = MAX_VC_LAY_NAME
Public Const MAX_VC_COLOR_NAME = MAX_VC_OBJ_NAME
Public Const MAX_VC_LTYPE_NAME = MAX_VC_OBJ_NAME
Public Const MAX_VC_VIEW_NAME = MAX_VC_OBJ_NAME

Public Const MAX_NATIVE_NAME = 12
Public Const MAX_SHORTCUT = 3
Public Const MAX_DESCRIPTION = 128
Public Const MAX_MACRO = 32000

Public Const MAX_VC_RWLWIDTH_STRING = 25
Public Const MAX_VC_DIM_STRING = 347

' Visual CADD Layers
Public Const MAX_VCADD_LAYERS = 1024
Public Const MAX_VCADD_LAYERS_INDEX = (MAX_VCADD_LAYERS - 1)
Public Const MIN_VCADD_LAYERS_INDEX = 0

' Visual CADD Colors
Public Const MAX_VCADD_COLORS = 256
Public Const MAX_VCADD_COLOR_INDEX = (MAX_VCADD_COLORS - 1)
Public Const MIN_VCADD_COLOR_INDEX = 0
Public Const MAX_SYSTEM_COLOR_INDEX	= 15 'Cursor and other system setting with a limited color pallet


' Visual CADD LineTypes
Public Const MAX_VCADD_LTYPES = 256
Public Const MAX_VCADD_LTYPES_INDEX = (MAX_VCADD_LTYPES - 1)
Public Const MIN_VCADD_LTYPES_INDEX = 0

' Visual CADD LineWidths
Public Const MAX_VCADD_LWIDTHS = 16
Public Const MAX_VCADD_LWIDTHS_INDEX = (MAX_VCADD_LWIDTHS - 1)
Public Const MIN_VCADD_LWIDTHS_INDEX = 0

' Mathematical constants

' PI defines
Public Const PI = 3.14159265358979
Public Const TWOPI = (2# * PI)
Public Const HALFPI = 1.5707963267949

Public Const MYRADIAN = (180# / PI)

' Radian degrees
' DegreeToRadian(d) = (d / 180.0 * PI)
' RadianToDegree(r) = (r / PI * 180.0)

' Standard angles
Public Const A15 = (15# / MYRADIAN)
Public Const A30 = (30# / MYRADIAN)
Public Const A45 = (45# / MYRADIAN)
Public Const A90 = (HALFPI)
Public Const A135 = (135# / MYRADIAN)
Public Const A150 = (150# / MYRADIAN)
Public Const A210 = (210# / MYRADIAN)
Public Const A270 = (3# * HALFPI)
Public Const A315 = (315# / MYRADIAN)
Public Const A330 = (330# / MYRADIAN)

' Unit conversion definitions
Public Const MM_PER_INCH = 25.4
Public Const INCHES_PER_INCH = 1#
Public Const INCHES_PER_FOOT = 12#
Public Const INCHES_PER_MILE = 63360#

Public Const INCHES_PER_MM = (1# / MM_PER_INCH)
Public Const INCHES_PER_CM = (10# / MM_PER_INCH)
Public Const INCHES_PER_METER = (1000# / MM_PER_INCH)
Public Const INCHES_PER_KILOMETER = (1000000# / MM_PER_INCH)

Public Const FEET_PER_INCH = (INCHES_PER_INCH / INCHES_PER_FOOT)
Public Const MILES_PER_INCH = (INCHES_PER_INCH / INCHES_PER_MILE)
Public Const CM_PER_INCH = (MM_PER_INCH / 10#)
Public Const METERS_PER_INCH = (MM_PER_INCH / 1000#)
Public Const KILOMETERS_PER_INCH = (MM_PER_INCH / 1000000.0#)

' Added version 6.0.0
' File Locking
Public Const MAX_VC_LOC_USERNAME = 274

Public Const VCLF_SAVING = 1
Public Const VCLF_SILENT = 2
Public Const VCLF_LOCKALWAYS = 4
Public Const VCLF_NOLOCK = 8
Public Const VCLF_READWRITE = 16

' Declare Function VCOnPreTranslateMessage Lib "VCLink32.DLL" (pMsg As MSG) As Long
Public Type MSG
  hwnd As Long
  message As Long
  wParam As Long
  lParam As Long
  time As Long
  pt_x As long
  pt_y As long
End Type
